<?php 
global $wpdb;
    $strSliderSql   = "SELECT A.*,B.* FROM ".$wpdb->prefix."ada_slider_image as A LEFT JOIN ".$wpdb->prefix."ada_slider_type as B ON A.slider_type = B.id WHERE A.slider_type = '".$id."' order by A.sort_order ASC"; 
    $strSliderResults   = $wpdb->get_results($strSliderSql);
?>


<style>   
.carousel {
  background: transparent;
}
.carousel-cell {
  width: 70%;
  height: 200px;
  /* flex-box, center image in cell */
  display: -webkit-box;
  display: -webkit-flex;
  display:         flex;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
          justify-content: center;
  -webkit-align-items: center;
          align-items: center;
}
.carousel-cell.main-image img {
  display: block;
  max-width: 100%;
  max-height: 100%;
  /* dim unselected */
  opacity: 0.7;
  -webkit-transform: scale(0.85);
          transform: scale(0.85);
  -webkit-filter: blur(5px);
          filter: blur(5px);
  -webkit-transition: opacity 0.3s, -webkit-transform 0.3s, transform 0.3s, -webkit-filter 0.3s, filter 0.3s;
          transition: opacity 0.3s, transform 0.3s, filter 0.3s;
}

.carousel-cell.is-selected img {
  opacity: 1;
  -webkit-transform: scale(1);
          transform: scale(1);
  -webkit-filter: none;
          filter: none;
}

@media screen and ( min-width: 768px ) {
  .carousel-cell {
    height: 400px;
  }
}

@media screen and ( min-width: 960px ) {
  .carousel-cell {
    width: 60%;
  }
}

.flickity-prev-next-button {
  width: 60px;
  height: 60px;
  background: transparent;
  opacity: 0.6;
}
.flickity-prev-next-button:hover {
  background: transparent;
  opacity: 1;
}
/* arrow color */
.flickity-prev-next-button .arrow {
  fill: #000;
}
.flickity-prev-next-button.no-svg {
  color: #000;
}
.carousel-cell.thumb-images {
    width: 100px;
    left: 0;
    right: 0;
}
.thumb-images img{
  width:100%;
  height:100%;
  padding:5.0%;
  
}
.thumb-images{
  width: 15%;
  height:96px;
overflow:hidden;
border: 1px solid #FFF;
}

</style>
<link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/flexslider/2.7.0/flexslider.min.css">
<link rel="stylesheet" type="text/css" href="https://npmcdn.com/flickity@2/dist/flickity.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1/jquery.min.js" ></script>
<script src="https://npmcdn.com/flickity@2/dist/flickity.pkgd.js"></script>
<div class="container ">
  <div class="row">
    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
      <div class="ada-slider">
        <div class="carousel js-flickity carousel-main" >
          <?php 
              foreach ($strSliderResults as $value) {
              ?>
                <div class="carousel-cell main-image" >
                  <img src="<?php echo $value->slider_image?>" />
                </div>
          <?php } ?>
        </div>
        <div class="carousel carousel-nav" data-flickity='{ "asNavFor": ".carousel-main", "contain": true, "pageDots": false }'>
      <?php 
          foreach ($strSliderResults as $value) {
      ?>
          <div class="thumb-images">
              <img src="<?php echo $value->slider_image?>" />
          </div>
      <?php } ?>
    </div>
  </div>
  </div>
  </div>
</div>

<script type="text/javascript">
$('.carousel-nav').flickity({
  asNavFor: '.carousel-main',
  prevNextButtons: false,
  contain: true,
  pageDots: false
});
$('.carousel-main').flickity({
  asNavFor: '.carousel-main',
  contain: true,
  pageDots: false,
  wrapAround: true
});
</script>