	<?php
	/**
	 * Project:    Mmotop : Common Class
	 * File:       class.common.php
	 * @link http://www.mmotop.com/
	 * @copyright 2008 EABP,.
	 * @package MMotop
	 * @version 1.0.0
	 */
	require_once(MAIN_COMMON_PATH."class.ExtentedDB.php");
	class CommonClass extends extendsClassDB
	{
		var $Request;
		var $SQLArray;
		function __construct()
		{
			$this->Request 	= array();
			$this->SQLArray	= array();
			$this->extendsClassDB1();
		}
		function getSelectQuery($strSQL, $uSelect=0, $queryType=false)
		{
			//print $strSQL."<BR><BR>";
			$this->dbSetQuery($strSQL,"select",$uSelect);
			return $this->MakeStripSlashes($this->dbSelectQuery());
		}
		function ExecuteQry($strSQL, $strSQLType = "update")
		{
			global $objSmarty;
			$this->dbSetQuery($strSQL,$strSQLType);
			$this->dbExecuteQuery();
		}
		function doInsert($strTableName, $objFieldsArray)
		{
			global $objSmarty;
			if(is_array($objFieldsArray))
			{
				$strInsertFields = "";
				$strInsertValues = "";
				for ($i=0; $i<count($objFieldsArray); $i++) {
					$strInsertFields.= $objFieldsArray[$i]["Field"];
					$strInsertValues.= "'".str_replace("?","",mb_convert_encoding(addslashes($objFieldsArray[$i]["Value"]), "ASCII"))."'";
					if ($i<count($objFieldsArray)-1) {
						if ($objFieldsArray[$i]["Field"]!="") {
							$strInsertFields.=", ";
							$strInsertValues.=", ";
						}
					}
				}
				$strInsertQry = "INSERT INTO $strTableName($strInsertFields) VALUES($strInsertValues)";
				$this->ExecuteQry($strInsertQry);
				$InsertId = mysqli_insert_id($this->dbLink);
				return $InsertId;
			} else {
				$objSmarty->assign("strErrorMsg","Error while adding new Data, Fields array is empty");
				return false;
			}
		}
		function doUpdate($strTableName, $objFieldsArray, $WhereClause)
		{
			if (is_array($objFieldsArray))
			{
				$strUpdateFields = "";
				for ($i=0; $i<count($objFieldsArray); $i++) {
					$strUpdateFields.= $objFieldsArray[$i]["Field"]."="."'".str_replace("?","",mb_convert_encoding(addslashes($objFieldsArray[$i]["Value"]), "ASCII"))."'";
					if ($i<count($objFieldsArray)-1) {
						if ($objFieldsArray[$i]["Field"]!="") {
							$strUpdateFields.=", ";
						}
					}
				}
				$strUpdateQry = "UPDATE $strTableName SET $strUpdateFields $WhereClause";
				$this->ExecuteQry($strUpdateQry);
				return true;
			} else {
				return false;
			}
		}
		function doDelete($strTableName,$WhereClause='')
		{
			if (empty($WhereClause)) {
				$WhereClause = '';
			}
			$strDeleteQuery = " DELETE FROM ".$strTableName." WHERE ".$WhereClause;
			return $this->ExecuteQry($strDeleteQuery,"delete");
		}
		function AddInfoToDB($objArray, $Prefix, $TableName)
		{
			$counter = 0;
			foreach ($objArray as $key=>$value) {
				$pos = strpos($key, $Prefix);
				if (!is_integer($pos)) {
				}else{
					$key = str_replace($Prefix,"",$key);
					$insertArray[$counter]["Field"] = $key;
					$insertArray[$counter]["Value"] = stripslashes($value);
					$counter++;
				}
			}
			$insert_id = $this->doInsert($TableName,$insertArray);
			return $insert_id;
		}
		function UpdateInfoToDB($objArray, $Prefix, $TableName, $Where)
		{
			$counter = 0;
			foreach ($objArray as $key => $value) {
				$pos = strpos($key, $Prefix);
				if (!is_integer($pos)) {
				} else {
					$key = str_replace($Prefix,"",$key);
					$UpdateArray[$counter]["Field"] = $key;
					$UpdateArray[$counter]["Value"] = stripslashes($value);
					$counter++;
				}
			}
			$res =$this->doUpdate($TableName,$UpdateArray,$Where);
			return $res;
		}
		function getBrowserType() 
		{
			$ua = $_SERVER[HTTP_USER_AGENT]; 
			if (strpos($ua,'MSIE')>0) {
			$B_Name="MSIE";
			$B_Name1=1;
			} else if (strpos($ua,'Netscape')>0){
			$B_Name="Netscape";
			$B_Name1=2;
			} else if (strpos($ua,'Safari')>0){
			$B_Name="Safari";
			$B_Name1=2;
			} else {
			$B_Name="Firefox";
			$B_Name1=2;
			}
			return $B_Name;
		}
		function getRequestValues() 
		{
			global $_GET,$_POST;
			return $_GET;
		}
		/**
			 * Apply stripslashes function for array of values 
			 * @param 	ToStripslash (array)			
			 * @return  Stripped array
		*/
		function MakeStripSlashes($array,$replaceValue='',$replaceValueTo='') 
		{
			if($array) {
				foreach ($array as $key => $value) {
					if (is_array($value))  {
						$value=$this->MakeStripSlashes($value);
						if($replaceValue==''&&$replaceValueTo=='')
							$array_temp[$key]=str_replace("#AMP#","",$value);
						else
							$array_temp[$key]=str_replace($replaceValue,$replaceValueTo,$value);                      
					} else 
						$array_temp[$key]=stripslashes(stripslashes($value));
				}    
			}   
			return $array_temp;   
		}
		function getMatches($strMatch,$strContent) 
		{
			if (preg_match_all($strMatch,$strContent,$objMatches)) {
				return $objMatches;
			}
			return "";
		}
		function doPrint($strContent) 
		{
			print $strContent."<br>";flush();
		}
		function getFileContentByFile($objFileName) 
		{
			return @file_get_contents($objFileName);
		}
		function makeStrip($value) 
		{
			$Data 	= ltrim($value);	
			$Data 	= rtrim($Data);	
			$Data 	= strtolower($Data);	
			$Data 	= htmlentities($Data);	
			$Data 	= stripslashes($Data);	
			$Data 	= strip_tags($Data);	
			$array1 = array(" ","'","[","]","->","<","amp;","&","--",".","gt;","@","?",",");
			$array2 = array("-","","","","","","","","-","","","","","");
			$Data 	= str_replace($array1, $array2, $Data);
			return $Data;
		}		
		function doRearrangeURlLinks($objLink)
		{
			global $global_config;
			$strCurrrentLink = '';
			$strCurrrentPos	 = 0;
			$urlregex = "^(https?|ftp)\:\/\/([a-z0-9+!*(),;?&=\$_.-]+(\:[a-z0-9+!*(),;?&=\$_.-]+)?@)?[a-z0-9+\$_-]+(\.[a-z0-9+\$_-]+)*(\:[0-9]{2,5})?(\/([a-z0-9+\$_-]\.?)+)*\/?(\?[a-z+&\$_.-][a-z0-9;:@/&%=+\$_.-]*)?(#[a-z_.-][a-z0-9+\$_.-]*)?\$";
			if (eregi($urlregex, $objLink)) {
				return $objLink;
			} else {
				return  $global_config["SiteGlobalPath"].$objLink;
			}
			return $strCurrrentLink;
		}
		function createCropThumb($sourceImageFile, $thumbImageFile, $newWidth, $newHeight)
		{	   
			$strFileName	= $sourceImageFile;
			$cropHeight		= $newHeight;
			$cropWidth		= $newWidth;
			$fileType		= explode('.', $strFileName); 
			$fileType		= $fileType[count($fileType) -1];
			$fileType		= strtolower($fileType);
		
			$originalImageSize 	= getimagesize($strFileName);
			$originalWidth 		= $originalImageSize[0];
			$originalHeight 	= $originalImageSize[1];
		
			if ($fileType=='jpg') {
				$originalImageGd = imagecreatefromjpeg($strFileName);
			}
			if ($fileType=='gif') { 
				$originalImageGd = imagecreatefromgif($strFileName);
			}	
			if ($fileType=='png') {
				$originalImageGd = imagecreatefrompng($strFileName);
			}
			if ($fileType=='bmp') {
				$originalImageGd = imagecreatefromjpeg($strFileName);
			}
			$croppedImageGd = imagecreatetruecolor($cropWidth, $cropHeight);
			
			$wm = $originalWidth /$cropWidth;
			$hm = $original_height /$cropHeight;
			$h_height = $cropHeight/2;
			$w_height = $cropWidth/2;
			
			$transparent = imagecolorallocate($croppedImageGd, 255, 255, 255);
			imagefill($croppedImageGd, 0, 0, $transparent);
			imagecolortransparent($croppedImageGd, $transparent);
			if ($original_width > $original_height ) {
				$adjusted_width = $originalWidth / $hm;
				$half_width 	= $adjusted_width / 2;
				$int_width 		= $half_width - $w_height;
				imagecopyresampled($croppedImageGd ,$originalImageGd ,-$int_width,0,0,0, $adjusted_width, $cropHeight, $originalWidth , $originalHeight );
			} elseif (($original_width < $original_height ) || ($original_width == $original_height )) {
				$adjusted_height = $originalHeight / $wm;
				$half_height = $adjusted_height / 2;
				$int_height = $half_height - $h_height;
				imagecopyresampled($croppedImageGd , $originalImageGd ,0,-$int_height,0,0, $cropWidth, $adjusted_height, $originalWidth , $originalHeight );
			} else {
				imagecopyresampled($croppedImageGd , $originalImageGd ,0,0,0,0, $cropWidth, $cropHeight, $originalWidth , $originalHeight );
			}			
			if ($fileType=='jpg') {
				imagejpeg($croppedImageGd,$thumbImageFile); 
			}
			if ($fileType=='gif') { 
				imagegif($croppedImageGd,$thumbImageFile); 
			}	
			if ($fileType=='png') {
				imagepng($croppedImageGd,$thumbImageFile);
			}
			if ($fileType=='bmp') {
				imagepng($croppedImageGd,$thumbImageFile);
			}		
			imagedestroy($croppedImageGd); 
			imagedestroy($originalImageGd); 
		}	
		function resizetheUploadImage($photo)
		{
		//RESIZE UPLOADED IMAGE TO SAVE SPACE ON SERVER
			$set_height   = "900"; // maximum height allowed
			$set_width    = "600"; // maximum width allowed
			
			$_GET['src'] = $photo;
			if ($ext=='png'){
				$image = imagecreatefrompng($_GET['src']);
			} else if ($ext=='gif'){
				$image = imagecreatefromgif($_GET['src']);
			} else {
				$image = imagecreatefromjpeg($_GET['src']);
			}
			//$image = imagecreatefromjpeg($_GET['src']);
		$size = getimagesize($_GET['src']);

		$new_w = $size[0];
		$new_h = $size[1];
		$resized = imagecreatetruecolor($new_w, $new_h);
		if ($size[0] > $set_width){ // resizes if max width is violated
			$new_w = "$set_width";
			$new_h = round(($set_width/$size[0])*$size[1]);
			$resized = imagecreatetruecolor($new_w, $new_h); 
		}
		if ($size[1] > $set_height){ // resizes if max height is violated
			$new_h = "$set_height";
			$new_w = round(($set_height/$size[1])*$size[0]);
			$resized = imagecreatetruecolor($new_w, $new_h);
		}
		if (($size[0] > $set_width) || ($size[1] > $set_height)){ // resizes if max height & max width is violated
			$new_w = "$set_width";
			$new_h = round(($set_width/$size[0])*$size[1]);
				if($new_h > $set_height){
					$new_h = "$set_height";
					$new_w = round(($set_height/$new_h)*$new_w);
				}
			$resized = imagecreatetruecolor($new_w, $new_h); 
		}
		$ow = $size[0];
		$oh = $size[1];

		$new_image_resized = $_GET['src'];
		imagecopyresampled($resized, $image, 0, 0, 0, 0, $new_w, $new_h, $ow, $oh);
		// imagejpeg($resized, $new_image_resized, 80);
			if($ext=='png'){
			imagepng($resized, $new_image_resized, 8);
			}else if($ext=='gif'){
			imagegif($resized, $new_image_resized, 80);
			}else{
			imagejpeg($resized, $new_image_resized, 80);
			}
		imagedestroy($resized);
		imagedestroy($image);
		}
		function createthumb($input_file_name, $output_filename, $new_w, $new_h='')
		{
			if (preg_match("/(jpg|jpeg)$/i",$input_file_name)){
				$src_img = imagecreatefromjpeg($input_file_name);
			} else if (preg_match("/png$/i",$input_file_name)){
				$src_img = imagecreatefrompng($input_file_name);
			} else if(preg_match("/bmp$/i",$input_file_name)){
				$src_img = imagecreatefromjpeg($input_file_name);
			} else if(preg_match("/gif$/i",$input_file_name)){
				$src_img = imagecreatefromgif($input_file_name);
			} else {
				throw(new Exception("ERROR: Cant work with file $input_file_name becuase its an unsupported file type for this function."));
			}
		
			if( $src_img == false ) {
				throw(new Exception("ERROR: Unabel to open image file $input_file_name"));
			}
		
			$old_x = imageSX($src_img);
			$old_y = imageSY($src_img);
		
			if( $new_h == 0 ) {
				$thumb_w = $new_w;
						$thumb_h = $old_y * ($new_w / $old_x);
		
			} else if( $new_w == 0 ) {
				$thumb_h = $new_h;
				$thumb_w = $old_x * ($new_h / $old_y);
			} else {
				if ($old_x > $old_y) {
					$thumb_w = $new_w;
					$thumb_h = $old_y * ($new_h/$old_x);
				} else if ($old_x < $old_y) {
					$thumb_w = $old_x * ($new_w/$old_y);
					$thumb_h = $new_h;
				} else if ($old_x == $old_y) {
					$thumb_w = $new_w;
					$thumb_h = $new_h;
				}
			}
		
			$dst_img = ImageCreateTrueColor($thumb_w,$thumb_h);
			imagecopyresampled($dst_img,$src_img,0,0,0,0,$thumb_w,$thumb_h,$old_x,$old_y); 
		
			if (preg_match("/png$/i",$input_file_name)){
				imagepng($dst_img,$output_filename); 
			} else {
				imagejpeg($dst_img,$output_filename); 
			}
			return $output_filename;
			imagedestroy($dst_img); 
			imagedestroy($src_img); 
		}	
		function _gdinfo() 
		{
			$myreturn=array();
			if (function_exists('gd_info')) {
				$myreturn=gd_info();
			} else {
				$myreturn=array('GD Version'=>'');
				ob_start();
				phpinfo(8);
				$info=ob_get_contents();
				ob_end_clean();
				foreach (explode("\n",$info) as $line) {
					if (strpos($line,'GD Version')!==false) {
						$myreturn['GD Version']=trim(str_replace('GD Version', '', strip_tags($line)));
					}
				}
			}
			return $myreturn;
		}
		function checkFile($filename)
		{
			if (file_exists($filename)) {
			return 1;
			}
		}
		function removeLastChar($rtnStr)
		{
			$res = substr($rtnStr, 0, strlen($rtnStr)-1);
			return $res;
		}
		function removeFirstChar($rtnStr){
			$res = substr($rtnStr, 1);
			return $res;
		}	
		function delTree($dir)
		{
			$files = glob( $dir . '*', GLOB_MARK );
			foreach ( $files as $file ) {
				if( substr( $file, -1 ) == '/' )
					delTree( $file );
				else
					unlink( $file );
			}
			if (is_dir($dir)) rmdir( $dir );
		} 	
		function slugName($string)
		{
			$string = preg_replace("`\[.*\]`U","",$string);
			$string = preg_replace('`&(amp;)?#?[a-z0-9]+;`i','-',$string);
			$string = htmlentities($string, ENT_COMPAT, 'utf-8');
			$string = preg_replace( "`&([a-z])(acute|uml|circ|grave|ring|cedil|slash|tilde|caron|lig|quot|rsquo);`i","\\1", $string );
			$string = preg_replace( array("`[^a-z0-9]`i","`[-]+`") , "-", $string);
			return strtolower(trim($string, '-'));
		}	
		function array_unique_deep($array) 
		{
			$values=array();
			//ideally there would be some is_array() testing for $array here...
			foreach ($array as $part) {
				if (is_array($part)) $values=array_merge($values,array_unique_deep($part));
					else $values[]=$part;
			}
			return array_unique($values);
		}
		function msort($array, $id="id", $sort_ascending=true) 
		{
			$temp_array = array();
			while (count($array)>0) {
				$lowest_id = 0;
				$index=0;
				foreach ($array as $item) {
					if (isset($item[$id])) {
						if ($array[$lowest_id][$id]) {
							if (strtolower($item[$id]) < strtolower($array[$lowest_id][$id])) {
								$lowest_id = $index;
							}
						}
					}
					$index++;
				}
				$temp_array[] = $array[$lowest_id];
				$array = array_merge(array_slice($array, 0,$lowest_id), array_slice($array, $lowest_id+1));
			}
			if ($sort_ascending=='ASC') {
				return $temp_array;
			} else {
				return array_reverse($temp_array);
			}
		}
		function filter_by_value ($array, $index, $value)
		{ 
			if (is_array($array) && count($array)>0)  { 
				foreach (array_keys($array) as $key){ 
					$temp[$key] = $array[$key][$index]; 
					if ($temp[$key] == $value || $temp[$key]!=$_SESSION['user_id']){ 
						$newarray[$key] = $array[$key]; 
					} 
				} 
			} 
			return $newarray; 
		} 
		function instr($haystack, $needle) 
		{ 
			$pos = strpos($haystack, $needle, 0); 
			if ($pos != 0) return true; 
			return false; 
		} 
		function MakeStrips($str) 
		{
			$str = trim($str);
			$str = stripslashes($str);
			$str = strip_tags($str);
			$str = mysql_real_escape_string($str);
			return $str;
		}
		function getRandomNumbers($length=10)
		{
			srand(date("s")); 
			$possible_charactors = "abcdefghijklmnopqrstuvwxyz1234567890ABCDEFGHIJKLMNOPQRSTUVWXYZ"; 
			$string = ""; 
			while(strlen($string)<$length){ 
				$string .=substr($possible_charactors, rand()%((strlen($possible_charactors))),1); 
			} 
			return(uniqid($string)); 
		}
		function inputHistory($content, $fileName) 
		{
			global $global_config;
			$myFile = $fileName.".txt";
			$filePath = $global_config["SiteBase"]."input/";
			$fh = fopen($filePath.$myFile, 'a+'); //  or die("can't open file")
			$strContent = "";

			if(count($content) > 0) {
				//$strContent .= "\n";
				$cnt = 0;
				foreach($content as $key=>$value) {
					$cnt++;
					$strContent .= $key." : ".$value;
					if($cnt != count($content)) {
						$strContent .= " || ";
					}
				}
			} else {
				$strContent = "No inputs received";
			}
			$stringData = "\n".date('Y-m-d H:i:s')." || ".$strContent."\n";
			fwrite($fh, stripslashes($stringData));
			fclose($fh);
		}
		function replaceArray($subject) 
		{
			$search  = array("'", '"');
			$replace = array('','');
			$subject = $subject;
			return str_replace($search, $replace, $subject);
		}
		function currenttimestamp($str_user_timezone,
			$str_server_timezone = CONST_SERVER_TIMEZONE,
			$str_server_dateformat = CONST_SERVER_DATEFORMAT) 
		{
			
			// set timezone to user timezone
			date_default_timezone_set($str_user_timezone);
			
			$date = new DateTime('now');
			$date->setTimezone(new DateTimeZone($str_server_timezone));
			$str_server_now = $date->format($str_server_dateformat);
			
			// return timezone to server default
			date_default_timezone_set($str_server_timezone);
			
			return $str_server_now;
		}

		/** Common Functions :: START **/
		function doGetTableListing($strTable, $strWhereClause=NULL, $strSelect='*', $orderBy=NULL, $groupBy=NULL)
		{
			global $objCommon,$global_config;
			$sql 		=	"SELECT $strSelect FROM ".$strTable." $strWhereClause $groupBy $orderBy";
			$strResults =	$this->getSelectQuery($sql);
			return $strResults;
		}		
		function doGetTableSingleRecord($strTable, $strWhereClause=NULL, $strSelect='*', $isPrint=NULL)
		{
			global $objCommon,$global_config;
			$sql 		=	"SELECT $strSelect FROM ".$strTable." $strWhereClause ";
			$strResults =	$this->getSelectQuery($sql);
			return $strResults[0]; 
		}		
		function doCheckDuplication($strTablename, $strWhereClause=NULL)
		{
			global $objCommon,$global_config;
			$sql = "SELECT COUNT(*) as Cnt FROM ".$strTablename." ".$strWhereClause.""; 
			$result =  $this->getSelectQuery($sql);
			return $result[0]['Cnt'];
		} 	
		function doTotalRecordCnt($strTablename, $strWhereClause=NULL, $strSelect='*')
		{
			global $objCommon,$global_config;
			$sql = "SELECT COUNT($strSelect) as Cnt FROM ".$strTablename." ".$strWhereClause.""; 
			$result =  $this->getSelectQuery($sql);
			return $result[0]['Cnt'];
		} 
		function doGetSUMOfRecords($strTablename, $strWhereClause=NULL, $strSelect='*')
		{
			global $objCommon,$global_config;
			$sql = "SELECT SUM($strSelect) as tot FROM ".$strTablename." ".$strWhereClause.""; 
			$result =  $this->getSelectQuery($sql);
			return $result[0]['tot'];
		} 
		function doDeleteById($strTablename,$strFieldName, $strFieldValue)
		{
			global $objCommon,$global_config;
			$sql	= "DELETE FROM ".$strTablename." WHERE ".$strFieldName." = '".$strFieldValue."'";
			$this->ExecuteQry($sql);
		}
		function doDeleteRecords($strTablename, $strWhereClause=NULL)
		{
			global $objCommon,$global_config;
			$sql	= "DELETE FROM ".$strTablename." $strWhereClause ";
			$this->ExecuteQry($sql);
		}
		function doDeleteBydate($strTablename,$strFieldName, $strFieldValue)
		{
			global $objCommon,$global_config;
			$strCurrentDate = doConvertLocalToSingapore();
			$sql	= "UPDATE ".$strTablename." SET  is_deleted ='yes', deleted_date= '".$strCurrentDate."' WHERE ".$strFieldName." = '".$strFieldValue."'";
			$objCommon->ExecuteQry($sql);
		}  
		function deGetMinutes()
		{ 
			$start=strtotime('00:00');
			$end=strtotime('24:00');

			for ($i=$start; $i<=$end; $i = $i + 15*60) {
				$strTime = date('g:i A',$i).'<br>';
			}
		} 
		function get_location_by_sg_locator($postalcode)
		{
			global $objCommon,$global_config;

			$url                =   $global_config["SG_LOCATOR_URL"];
			$data['APIKey']     =   $global_config["SG_LOCATOR_API_KEY"];
			$data['APISecret']  =   $global_config["SG_LOCATOR_API_Secret"];
			$data['Postcode']   =   $postalcode;
			
			$location_response =  '0';		
			$curl = curl_init($url);		
			curl_setopt($curl, CURLOPT_PORT, 443);
			curl_setopt($curl, CURLOPT_HEADER, 0);
			curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, 0);
			curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
			curl_setopt($curl, CURLOPT_FORBID_REUSE, 1);
			curl_setopt($curl, CURLOPT_FRESH_CONNECT, 1);
			curl_setopt($curl, CURLOPT_POST, 1);
			curl_setopt($curl, CURLOPT_CONNECTTIMEOUT, 10);
			curl_setopt($curl, CURLOPT_TIMEOUT, 10);
			curl_setopt($curl, CURLOPT_POSTFIELDS, http_build_query($data, '', '&'));		
			$result = curl_exec($curl);
			$response = json_decode($result);	
			if ($response->IsSuccess == true) {
				if ($response->Postcodes) {
					$location_response =  $response->Postcodes[0]->BuildingNumber."###".$response->Postcodes[0]->StreetName."###".$response->Postcodes[0]->BuildingName."###".$response->Postcodes[0]->Postcode."###".$response->Postcodes[0]->Latitude."###".$response->Postcodes[0]->Longitude;
				} else {
					$location_response =  '0';		
				}
			}  else {
				$location_response = '0';		
			}
			return $location_response;
		}
		function getGoogleTrackingLatLon($address, $zipcode=NULL)
		{ 
			global $objCommon,$global_config;
			$strResults						=	array();
			$prepAddr						=	str_replace(" ","+",$address);
			if ($zipcode) {
				$str_url = 'https://maps.googleapis.com/maps/api/geocode/json?address='.$prepAddr.'&components=country:SG|postal_code:'.$zipcode.'&sensor=false&key='.$global_config["Google_GEO_CODE"];		
			} else {
				$str_url = 'https://maps.googleapis.com/maps/api/geocode/json?address=Singapore+'.$prepAddr.'&sensor=false&key='.$global_config["Google_GEO_CODE"];		
			}	
			$geocode						=	@file_get_contents($str_url);
			$output							=	json_decode($geocode);
			if (strtolower($output->status) == 'ok') {
				$strResults['latitude']		=	$output->results[0]->geometry->location->lat;
				$strResults['longitude']	=	$output->results[0]->geometry->location->lng;
				$strResults['postalcode']	=	$output->results[0]->address_components[5]->long_name;
				$strResults['status']		=	$output->status;
			}
			return $strResults;
		}			
		function getGoogleOnemap($zipcode)
		{
			global $objCommon,$global_config;
			$uniqueResult = array();
					
			$graph_url = "https://developers.onemap.sg/commonapi/search?searchVal=".$zipcode."&returnGeom=Y&getAddrDetails=Y";			
			$response = @file_get_contents($graph_url);
			$decoded_response = json_decode($response);
			if (isset($decoded_response->results[0]->BLK_NO)) {
				$uniqueResult[0]['latitude'] = $decoded_response->results[0]->LATITUDE;
				$uniqueResult[0]['longitude'] = $decoded_response->results[0]->LONGITUDE;
				$uniqueResult[0]['postal_code'] = $decoded_response->results[0]->POSTAL;			
			}		
			return $uniqueResult;
		}
		function curl_get_file_contents($URL) {
			$c = curl_init();
			curl_setopt($c, CURLOPT_RETURNTRANSFER, 1);
			curl_setopt($c, CURLOPT_URL, $URL);
			$contents = curl_exec($c);
			$err  = curl_getinfo($c,CURLINFO_HTTP_CODE);
			curl_close($c);
			if ($contents) return $contents;
			else return FALSE;
		}
		/** Common Functions :: END **/
		function super_unique($array,$key)
		{
		$temp_array = [];
		foreach ($array as &$v) {
			if (!isset($temp_array[$v[$key]]))
			$temp_array[$v[$key]] =& $v;
		}
		$array = array_values($temp_array);
		return $array;
		}
		function removeNumberFromString($str, $item) 
		{
			
			$parts = explode(',', $str);		
			while (($i = array_search($item, $parts)) !== false) {
				unset($parts[$i]);
			}
			unset($str);
			return implode(',', $parts);
		}
		
		function removeFromString($str,$item,$session=NULL) 
		{
			$parts = explode(', ', $str);
			
			while (($i = array_search($item, $parts)) !== false) {
				unset($parts[$i]);
			}
			unset($_SESSION['splist']['sp_desc_like_service_point']);
			return implode(', ', $parts);
		}
		
		function updateRemoveString($str,$item,$session=NULL) 
		{
			$parts = explode(',', $str);
			
			while(($i = array_search($item, $parts)) !== false) {
				unset($parts[$i]);
			}
			return implode(',', $parts);
		}
		function singaporeConvertDate($strFormat=NULL, $strDateTime=NULL) 
		{
			if ($strDateTime=='') {
				$strDate	=	date("Y-m-d H:i:s");
			} else {
				$strDate	=	$strDateTime;
			}
			$strZone	=	date_default_timezone_get();
			$date 		= new DateTime($strDate, new DateTimeZone($strZone));
			$date->setTimezone(new DateTimeZone('Asia/Singapore'));
			if ($strFormat=='')
				return $date->format('Y-m-d');
			else
				return $date->format($strFormat);
		}
		function find_distance_lat_lon($lat1, $lat2, $lon1, $lon2)
		{
			$pi80 = M_PI / 180;
			$lat1 *= $pi80;
			$lon1 *= $pi80;
			$lat2 *= $pi80;
			$lon2 *= $pi80;
					
			$r = 6372.797;	// mean radius of Earth in km
			$dlat = $lat2 - $lat1;
			$dlon = $lon2 - $lon1;
			$a = sin($dlat / 2) * sin($dlat / 2) + cos($lat1) * cos($lat2) * sin($dlon / 2) * sin($dlon / 2);
			$c = 2 * atan2(sqrt($a), sqrt(1 - $a));
			// Distance in KM so we can work out how the milage
			$km = round( $r * $c, 2 );
			// Now we have the distance in miles
			$miles = round( $km * 0.621371192, 2 );
			//echo '<br/>'.$km;
			return $km;
		}
		function doSelectMarketPlace($auth_key)
		{
			global $objCommon,$global_config;				
			$sql = "SELECT website,auth_key,method FROM ".MARKET_PLACE." WHERE auth_key = '".$auth_key."' AND status = 'enabled' "; 
			$result =  $this->getSelectQuery($sql);
			return $result[0];
		} 
		
		function doProjectPagination($page, $start, $limit ,$where, $strRequest, $orderby="") { 

		global $wpdb;
        $adjacents = 3;
        
        $query = "SELECT COUNT(*) as num FROM ".$wpdb->prefix."ada_slider_image ".$where; 
        $getData = $this->getSelectQuery($query);
        
        $total_pages1 = $getData[0][0];
            
        $qry = "SELECT * FROM ".$wpdb->prefix."ada_slider_image ORDER BY `slider_id` DESC LIMIT $start, $limit";
		$getSubscriptionData = $this->getSelectQuery($qry);
     
        $total_pages = $total_pages1;
        $targetpage = "sliderimage";
        
        if ($page == 0) $page = 1;
            $prev = $page - 1;
            $next = $page + 1;
            $lastpage = ceil($total_pages/$limit);
            $lpm1 = $lastpage - 1;
 			
            $pagination = "";
          	  
			if($strRequest!=''){
				$id = $strRequest;
			} else{
				$id = $_REQUEST['sliderimage'];
			}
            
        if ($lastpage > 1) {
            $pagination .= "<div class=\"pagination\">";
    
            if ($page > 1) {
                $pagination.= "<a href=\"?page=$targetpage&sliderimage=$id&p=1\" class=\"first-page\"> << </span>";
                $pagination.= "<a href=\"?page=$targetpage&sliderimage=$id&p=$prev\" class=\"prev-page\"> < </a>";
                
            } else {  
                    $pagination.= "<span class=\"disabled\"> << </span>";
                    $pagination.= "<span class=\"disabled\"> < </span>";
            }
            if ($lastpage < 7 + ($adjacents * 2)) {   
                for ($counter = 1; $counter <= $lastpage; $counter++) {
                    if ($counter == $page)
                            $pagination.= "<span class=\"current-page\">$counter</span>";
                    else
                            $pagination.= "<a href=\"?page=$targetpage&sliderimage=$id&p=$counter\">$counter</a>";
                }
            } elseif ($lastpage > 7 + ($adjacents * 2)) {  
                if ($page < 1 + ($adjacents * 2)) { 
                    for ($counter = 1; $counter < 4 + ($adjacents * 2); $counter++) { 
                        if ($counter == $page) {  
                                $pagination.= "<span class=\"current-page\">$counter</span>";
                        }    else { 
                                $pagination.= "<a href=\"?page=$targetpage&sliderimage=$id&p=$counter\">$counter</a>";
                        }
                    }
                    $pagination.= "<span class=\"current-page\">.....</span>";
                    $pagination.= "<a href=\"?page=$targetpage&sliderimage=$id&p=$lpm1\">$lpm1</a>";
                    $pagination.= "<a href=\"?page=$targetpage&sliderimage=$id&p=$lastpage\">$lastpage</a>";
                } elseif ($lastpage - ($adjacents * 2) > $page && $page > ($adjacents * 2)) {
                    $pagination.= "<a href=\"$targetpage?page=1\">1</a>";
                    $pagination.= "<a href=\"$targetpage?page=2\">2</a>";
                    $pagination.= "<span class=\"current-page\">.....</span>";
                    for ($counter = $page - $adjacents; $counter <= $page + $adjacents; $counter++) {
                        if ($counter == $page)
                            $pagination.= "<span class=\"current-page\">$counter</span>";
                        else
                            $pagination.= "<a href=\"?page=$targetpage&sliderimage=$id&p=$counter\">$counter</a>";
                    }
                    $pagination.= "<span class=\"current-page\">.....</span>";
                    $pagination.= "<a href=\"?page=$targetpage&sliderimage=$id&p=$lpm1\">$lpm1</a>";
                    $pagination.= "<a href=\"?page=$targetpage&sliderimage=$id&p=$lastpage\">$lastpage</a>";
                    } else {
                        $pagination.= "<a href=\"?page=$targetpage&sliderimage=$id&p=1\">1</a>";
                        $pagination.= "<a href=\"?page=$targetpage&sliderimage=$id&p=2\">2</a>";
                        $pagination.= "<span class=\"current-page\">.....</span>";
                    for ($counter = $lastpage - (2 + ($adjacents * 2)); $counter <= $lastpage; $counter++) {
                        if ($counter == $page)
                            $pagination.= "<span class=\"current-page\">$counter</span>";
                        else
                            $pagination.= "<a href=\"?page=$targetpage&p=$counter\">$counter</a>";
                    }
                }
            }
                
            if ($page < $counter - 1) {
                $pagination.= "<a href=\"?page=$targetpage&sliderimage=$id&p=$next\" class=\"next-page\">></a>";
                $pagination.= "<a href=\"?page=$targetpage&sliderimage=$id&p=$lastpage\" class=\"last-page\">>></a>";
            } else {
                $pagination.= "<span class=\"disabled\"> > </span>";
                $pagination.= "<span class=\"disabled\"> >> </span>";
            }
            $pagination.= "</div>\n";
    
            return $pagination;
        }
    }
	}
	?>